<xml> </xml>

db4o |

# ExtObjectContainer.Descend Method

returns a member at the specific path without activating intermediate objects.

object Descend(
object obj,
string[] path
);

#### Parameters

obj
  the parent object that is to be used as the starting point.
path
  an array of field names to navigate by

#### Return Value

the object at the specified path or null if no object is found

#### Remarks

returns a member at the specific path without activating intermediate objects.
This method allows navigating from a persistent object to it's members in a performant way without activating or instantiating intermediate objects.

#### See Also

ExtObjectContainer Interface | com.db4o.ext Namespace